<template>

    <layout-entry>
        <router-view v-slot="{Component}">
          <keep-alive ref="keep" :include="$store.state.router.keepLiveRoute">
              <component :is="Component"></component>
          </keep-alive>
        </router-view>

    </layout-entry>
</template>
<script>
import {layoutEntry} from '$layout';
import config from '$config/config';
import user from "$config/user";
import socket from '$utils/socket/index';
export default {

  components:{
    layoutEntry
  },

  created() {
    config.register(this);
    if (user.isLogin()) {
      socket.install(user.user)
    }
  }

}
</script>
<style lang="scss">
  @import "assets/scss/entry/index";
</style>
